%{?mingw_package_header}

%global build_programs 0

Name:           mingw-libjpeg-turbo
Version:        2.1.4
Release:    1%{?dist}
Summary:        MinGW Windows Libjpeg-turbo library

License:        wxWidgets
URL:            http://libjpeg-turbo.virtualgl.org/
Source0:        http://downloads.sourceforge.net/libjpeg-turbo/libjpeg-turbo-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-binutils

BuildRequires:  nasm
BuildRequires:  cmake
BuildRequires:  make


%description
MinGW Windows cross compiled Libjpeg-turbo library.


%package -n mingw32-libjpeg-turbo
Summary:        MinGW Windows Libjpeg-turbo library
Provides:       mingw32-libjpeg = 7-4

%description -n mingw32-libjpeg-turbo
MinGW Windows cross compiled Libjpeg-turbo library.


%package -n mingw32-libjpeg-turbo-static
Summary:        Static version of the MinGW Windows Libjpeg-turbo library
Requires:       mingw32-libjpeg-turbo = %{version}-%{release}
Provides:       mingw32-libjpeg-static = 7-4

%description -n mingw32-libjpeg-turbo-static
Static version of the MinGW Windows cross compiled Libjpeg-turbo library.


%package -n mingw32-turbojpeg
Summary:        MinGW Windows turbojpeg library

%description -n mingw32-turbojpeg
MinGW Windows cross compiled turbojpeg library.


%package -n mingw32-turbojpeg-static
Summary:        Static version of the MinGW Windows turbojpeg library
Requires:       mingw32-turbojpeg = %{version}-%{release}

%description -n mingw32-turbojpeg-static
Static version of the MinGW Windows turbojpeg library.


%package -n mingw64-libjpeg-turbo
Summary:        MinGW Windows Libjpeg-turbo library
Provides:       mingw64-libjpeg = 8a-2%{?dist}

%description -n mingw64-libjpeg-turbo
MinGW Windows cross compiled Libjpeg-turbo library.


%package -n mingw64-libjpeg-turbo-static
Summary:        Static version of the MinGW Windows Libjpeg-turbo library
Requires:       mingw64-libjpeg-turbo = %{version}-%{release}
Provides:       mingw64-libjpeg-static = 8a-2%{?dist}

%description -n mingw64-libjpeg-turbo-static
Static version of the MinGW Windows cross compiled Libjpeg-turbo library.


%package -n mingw64-turbojpeg
Summary:        MinGW Windows turbojpeg library

%description -n mingw64-turbojpeg
MinGW Windows cross compiled turbojpeg library.


%package -n mingw64-turbojpeg-static
Summary:        Static version of the MinGW Windows turbojpeg library
Requires:       mingw64-turbojpeg = %{version}-%{release}

%description -n mingw64-turbojpeg-static
Static version of the MinGW Windows turbojpeg library.


%{?mingw_debug_package}


%prep
%autosetup -n libjpeg-turbo-%{version} -p1


%build
%mingw_cmake
%mingw_make_build


%install
%mingw_make_install

rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_mandir}
rm -rf %{buildroot}%{mingw32_docdir}
rm -rf %{buildroot}%{mingw64_docdir}

rm -rf %{buildroot}%{mingw32_prefix}/doc
rm -rf %{buildroot}%{mingw64_prefix}/doc

%if %build_programs == 0
rm -f %{buildroot}%{mingw32_bindir}/*.exe
rm -f %{buildroot}%{mingw64_bindir}/*.exe
%endif

chmod -x README.md


%files -n mingw32-libjpeg-turbo
%license LICENSE.md
%doc README.* ChangeLog.md
%if %build_programs
%{mingw32_bindir}/*.exe
%endif
%{mingw32_bindir}/libjpeg-62.dll
%{mingw32_includedir}/jconfig.h
%{mingw32_includedir}/jerror.h
%{mingw32_includedir}/jmorecfg.h
%{mingw32_includedir}/jpeglib.h
%{mingw32_libdir}/cmake/libjpeg-turbo/
%{mingw32_libdir}/libjpeg.dll.a
%{mingw32_libdir}/pkgconfig/libjpeg.pc

%files -n mingw32-libjpeg-turbo-static
%{mingw32_libdir}/libjpeg.a

%files -n mingw32-turbojpeg
%{mingw32_bindir}/libturbojpeg.dll
%{mingw32_includedir}/turbojpeg.h
%{mingw32_libdir}/libturbojpeg.dll.a
%{mingw32_libdir}/pkgconfig/libturbojpeg.pc

%files -n mingw32-turbojpeg-static
%{mingw32_libdir}/libturbojpeg.a

%files -n mingw64-libjpeg-turbo
%license LICENSE.md
%doc README.* ChangeLog.md
%if %build_programs
%{mingw64_bindir}/*.exe
%endif
%{mingw64_bindir}/libjpeg-62.dll
%{mingw64_includedir}/jconfig.h
%{mingw64_includedir}/jerror.h
%{mingw64_includedir}/jmorecfg.h
%{mingw64_includedir}/jpeglib.h
%{mingw64_libdir}/cmake/libjpeg-turbo/
%{mingw64_libdir}/libjpeg.dll.a
%{mingw64_libdir}/pkgconfig/libjpeg.pc

%files -n mingw64-libjpeg-turbo-static
%{mingw64_libdir}/libjpeg.a

%files -n mingw64-turbojpeg
%{mingw64_bindir}/libturbojpeg.dll
%{mingw64_includedir}/turbojpeg.h
%{mingw64_libdir}/libturbojpeg.dll.a
%{mingw64_libdir}/pkgconfig/libturbojpeg.pc

%files -n mingw64-turbojpeg-static
%{mingw64_libdir}/libturbojpeg.a


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.4-1
- initial build
